Framework v4 BETA

Environment Setup

Contents

To get started with Ionic Framework, the only requirement is a Node & npm environment.

Of course, you will also need an editor. We recommend VS Code, a free, batteries-included text editor made by Microsoft.

Node & npm

Almost all tooling for modern JavaScript projects is based in Node.js. The download page has prebuilt installation packages for all platforms. We recommend selecting the LTS version to ensure best compatibility.

Node is bundled with npm, the package manager for JavaScript.

To verify the installation, open a new terminal window and run:

shell
$ node --version
$ npm --version

Git

Although not required, the version control system Git is highly recommended. First, install the command-line utility from the download page. For a GUI client, we recommend Github Desktop.

To verify the installation, open a new terminal window and run:

shell
$ git --version